<?php
/**
 * The Text_reST class provides an API for parsing reStructuredText documents.
 *
 * $Horde: framework/Text_reST/reST.php,v 1.17 2007/11/17 06:05:35 chuck Exp $
 *
 * Copyright 2003-2007 The Horde Project (http://www.horde.org/)
 *
 * See the enclosed file COPYING for license information (LGPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/lgpl.html.
 *
 * @author  Jason M. Felice <jason.m.felice@gmail.com>
 * @author  Chuck Hagenbuch <chuck@horde.org>
 * @category Horde
 * @package Text_reST
 */
class Text_reST {

    /**
     * Parses a reStructuredText document.
     *
     * @param string $text  This is the text of the document we want to parse.
     *
     * @return Text_reST  The parsed document or PEAR_Error on failure.
     */
    public static function parse($text)
    {
        $parser = new Text_reST_Parser();
        return $parser->parse($text);
    }

}
