<?php
/**
 * The Text_reST_Formatter:: class is the framework for rendering
 * reStructuredText documents to different media (e.g. HTML).
 *
 * $Horde: framework/Text_reST/reST/Formatter.php,v 1.18 2007/11/17 06:05:35 chuck Exp $
 *
 * Copyright 2003-2007 The Horde Project (http://www.horde.org/)
 *
 * See the enclosed file COPYING for license information (LGPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/lgpl.html.
 *
 * @author  Jason M. Felice <jason.m.felice@gmail.com>
 * @author  Chuck Hagenbuch <chuck@horde.org>
 * @category Horde
 * @package Text_reST
 */
abstract class Text_reST_Formatter
{
    /**
     * Array of driver-specific parameters for formatting.
     *
     * @var array
     */
    protected $_args;

    /**
     * The current output charset.
     *
     * @var string
     */
    protected $_charset = null;

    /**
     * Construct a new formatter.
     *
     * @param array $args  Arguments specific to this formatter.
     */
    public function __construct($args = array())
    {
        $this->_args = $args;
    }

    /**
     * Render the document.
     *
     * @abstract
     *
     * @param Text_reST $document  The document we will render.
     * @param string $charset      The output charset.
     */
    public abstract function format($document, $charset = null);

}
